## lua5.3 5.3.1

=== debian/changelog ===
lua5.3 (5.3.1-1ubuntu2) xenial; urgency=medium

  * Revert changes from previous upload, not needed and don't fix the issue.
  * debian/patches/0001-build-system.patch: never use libtool --quiet
    which is always the wrong answer for package builds.
  * debian/patches/0001-build-system.patch: do not pass a version script when
    building executables; this is meant for libraries, and its use appears to
    be breaking the build on powerpc (probably due to a toolchain regression).
    LP: #1570055.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Apr 2016 18:09:50 -0700

lua5.3 (5.3.1-1ubuntu1) xenial; urgency=medium

  * debian/patches/0001-build-system.patch: Build *and* link with g++.
    Fixes segfault in build inside wgenops.c:105 at main() exit.
  * d/control: update-maintainer

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 12 Apr 2016 15:42:42 -0400

lua5.3 (5.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #775565)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 01 Mar 2015 15:39:41 +0100
