## lua5.3 5.3.3

=== debian/changelog ===
lua5.3 (5.3.3-1ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2019-6706.patch: fix in src/lapi.c.
    - CVE-2019-6706

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 04 Apr 2019 14:25:54 -0300

lua5.3 (5.3.3-1) unstable; urgency=medium

  * Imported Upstream version 5.3.3
  * Rebase patches on top of Lua 5.3.3 release
  * Update Vcs-* links
  * Add myself to Uploaders
  * Update Debian policy version (no change)
  * Add patch to fix several invalid pointer conversions

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Dec 2016 16:05:01 +0100

lua5.3 (5.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export _IO_stdin_used in debian/version-script (see #816059).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jul 2016 20:57:11 +0200
