=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Uploaders: 
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool-bin, libreadline-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua5.3.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua5.3.git
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/pkg-lua/lua5.3.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua5.3.git
 Homepage: http://www.lua.org
 
 Package: lua5.3
