## lua5.3 5.3.6

=== debian/changelog ===
lua5.3 (5.3.6-2) unstable; urgency=medium

  [ Jenkins ]
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 14:20:13 +0000

lua5.3 (5.3.6-1) unstable; urgency=medium

  * Team upload
  * Make the package team-maintained (Closes: #995535)
  * New upstream version 5.3.6 (Closes: #920321, #988734)
    - Fixes CVE-2019-6706, CVE-2020-24370
    - Drop upstream patch
  * Fix a few lintian warnings
  * d/copyright: Update year range

 -- Bastian Germann <bage@debian.org>  Tue, 12 Oct 2021 18:23:37 +0200

lua5.3 (5.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Vcs-... tags point to salsa
  * lua5.3 now uses the alternatives system to manage /usr/bin/lua and
    /usr/bin/luac (Closes: #863036)

 -- Dima Kogan <dkogan@debian.org>  Fri, 28 Dec 2018 11:10:13 -0800
