=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lua5.3
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool-bin, libreadline-dev
+Build-Depends: debhelper (>= 10), quilt (>= 0.40), libtool-bin, libreadline-dev
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-lua/lua5.3.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lua/lua5.3.git
-Homepage: http://www.lua.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua5.3.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua5.3
+Homepage: https://www.lua.org
 
 Package: lua5.3
 Architecture: any
@@ -63,9 +62,7 @@
 Package: liblua5.3-0-dbg
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, liblua5.3-0 (= ${binary:Version}), ${misc:Depends}
+Depends: liblua5.3-0 (= ${binary:Version}), ${misc:Depends}
 Section: debug
-Priority: extra
 Description: Debug symbols for the Lua shared library interpreter
  This package contains the debugging symbols for liblua5.3 and lua5.3
-
