=== debian/watch ===
# test with:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua5.3
version=3
http://www.lua.org/ftp/lua-(5\.3.*)\.tar\.gz
